[SciPy-user] Problems installing Scipy from source

Frank Zwaard fzwaard at gmail.com
Mon Nov 20 09:05:33 CST 2006


During the compilation of Numpy I get some strange messages (see
below), but the compilation seems to be ok and the tests too.
But the tests of scipy give me 3 failures and 2 errors :(
Doesn anyone understand what should I do?

Below I copy some useful informations about my system/config

Thanx

F


I have a Fedora Core 5 installation

$uname -a
Linux 2.6.15-1.2054_FC5smp #1 SMP Tue Mar 14 16:05:46 EST 2006 i686
i686 i386 GNU/Linux

$python -c 'import os,sys;print os.name,sys.platform'
posix linux2

$ python -V
Python 2.4.3

$ gcc -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,obj-c++,java,fortran,ada
--enable-java-awt=gtk --disable-dssi
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre
--with-cpu=generic --host=i386-redhat-linux
Thread model: posix
gcc version 4.1.0 20060304 (Red Hat 4.1.0-3)

$ g77 --version
GNU Fortran (GCC 3.2.3 20030502 (Red Hat Linux 3.2.3-56.fc5)) 3.2.3
20030502 (Red Hat Linux 3.2.3-13)

$ python -c 'import sys;print sys.version'
2.4.3 (#1, Oct 23 2006, 14:19:47)
[GCC 4.1.1 20060525 (Red Hat 4.1.1-1)]

$ python -c 'import numpy;print numpy.__version__'
1.0

let me know if the output of
python /usr/lib/python2.4/site-packages/numpy/distutils/system _info.py
con be useful, since it is quite long ...

If needed I have also the output of the installation of both numpy and scipy.

$ cd /usr/lib/python2.4/site-packages/scipy/linalg/
$ python setup_atlas_version.py build_ext --inplace --force
/usr/lib/python2.4/site-packages/numpy/distutils/misc_util.py:1391:
UserWarning: Use Configuration('linalg','',top_path=None) instead of
deprecated default_config_dict('linalg','',None)
  warnings.warn('Use Configuration(%r,%r,top_path=%r) instead of '\
Traceback (most recent call last):
  File "setup_atlas_version.py", line 29, in ?
    setup(**configuration())
  File "setup_atlas_version.py", line 13, in configuration
    del config['fortran_libraries']
KeyError: 'fortran_libraries'
$ python -c 'import atlas_version'
ATLAS version 3.6.0 built by camm on Tue Jun 15 03:19:44 UTC 2004:
   UNAME    : Linux intech131 2.4.20 #1 SMP Thu Jan 23 11:24:05 EST
2003 i686 GNU/Linux
   INSTFLG  :
   MMDEF    :
   ARCHDEF  :
   F2CDEFS  : -DAdd__ -DStringSunStyle
   CACHEEDGE: 196608
   F77      : /usr/bin/g77, version GNU Fortran (GCC) 3.3.5 (Debian 1:3.3.5-1)
   F77FLAGS : -O
   CC       : /usr/bin/gcc, version gcc (GCC) 3.3.5 (Debian 1:3.3.5-1)
   CC FLAGS : -fomit-frame-pointer -O3 -funroll-all-loops
   MCC      : /usr/bin/gcc, version gcc (GCC) 3.3.5 (Debian 1:3.3.5-1)
   MCCFLAGS : -fomit-frame-pointer -O


I installed the following rpms:
atlas-3.6.0-10.fc5
atlas-devel-3.6.0-10.fc5
blas-3.0-37.fc5
blas-devel-3.0-37.fc5
lapack-3.0-37.fc5
lapack-devel-3.0-37.fc5
fftw-devel-3.1.1-1.fc5
fftw2-2.1.5-12.fc5
fftw2-devel-2.1.5-12.fc5
fftw-3.1.1-1.fc5

I have installed both g77 and Intel Fortran, but it seems that the
compilation is made with g77.

NUMPY:
=======

[Compilation messages]
Running from numpy source directory.
F2PY Version 2_3396
blas_opt_info:
blas_mkl_info:
  libraries mkl,vml,guide not found in /usr/local/lib
  libraries mkl,vml,guide not found in /usr/lib
  NOT AVAILABLE
...
compiling '_configtest.c':

/* This file is generated from numpy_distutils/system_info.py */
void ATL_buildinfo(void);
int main(void) {
  ATL_buildinfo();
  return 0;
}
C compiler: gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -D_GNU_SOURCE -fPIC -fPIC
...
lapack_opt_info:
lapack_mkl_info:
mkl_info:
  libraries mkl,vml,guide not found in /usr/local/lib
  libraries mkl,vml,guide not found in /usr/lib
  NOT AVAILABLE

  NOT AVAILABLE
...
/home/fzwaard/Installed_software/numpy-1.0/numpy/distutils/system_info.py:934:
UserWarning:
*********************************************************************
    Lapack library (from ATLAS) is probably incomplete:
      size of /usr/lib/atlas/liblapack.so is 3855k (expected >4000k)

    Follow the instructions in the KNOWN PROBLEMS section of the file
    numpy/INSTALL.txt.
*********************************************************************

  warnings.warn(message)
Setting PTATLAS=ATLAS
  FOUND:
    libraries = ['lapack', 'lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    language = c
    include_dirs = ['/usr/include/atlas']
...

compile options: '-Inumpy/core/src -Inumpy/core/include
-I/usr/include/python2.4 -c'
gcc: _configtest.c
gcc -pthread _configtest.o -o _configtest
_configtest.o: In function
`main':/home/fzwaard/Installed_software/numpy-1.0/_configtest.c:5:
undefined reference to `exp'
collect2: ld returned 1 exit status
_configtest.o: In function
`main':/home/fspada/Installed_software/numpy-1.0/_configtest.c:5:
undefined reference to `exp'
collect2: ld returned 1 exit status
failure.
removing: _configtest.c _configtest.o
C compiler: gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -D_GNU_SOURCE -fPIC -fPIC
...
compile options: '-Inumpy/core/src -Inumpy/core/include
-I/usr/include/python2.4 -c'
gcc: _configtest.c
_configtest.c:7:2: error: #error No _WIN32
_configtest.c:7:2: error: #error No _WIN32
failure.
removing: _configtest.c _configtest.o

[Test]
>>> import numpy
>>> numpy.test()
...
Ran 517 tests in 1.171s


>>> numpy.show_config()
atlas_threads_info:
    libraries = ['lapack', 'lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    language = c
    include_dirs = ['/usr/include/atlas']

blas_opt_info:
    libraries = ['lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
    language = c
    include_dirs = ['/usr/include/atlas']

atlas_blas_threads_info:
    libraries = ['lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    language = c
    include_dirs = ['/usr/include/atlas']

lapack_opt_info:
    libraries = ['lapack', 'lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
    language = c
    include_dirs = ['/usr/include/atlas']

lapack_mkl_info:
  NOT AVAILABLE

blas_mkl_info:
  NOT AVAILABLE

mkl_info:
  NOT AVAILABLE

SCIPY:
======

>From the install messages I have the same problems ad numpy + these:
djbfft_info:
  NOT AVAILABLE
...
ATLAS version 3.6.0
ATLAS version 3.6.0
non-existing path in 'Lib/linsolve': 'tests'
umfpack_info:
  libraries umfpack not found in /usr/local/lib
  libraries umfpack not found in /usr/lib
/usr/lib/python2.4/site-packages/numpy/distutils/system_info.py:401:
UserWarning:
    UMFPACK sparse solver (http://www.cise.ufl.edu/research/sparse/umfpack/)
    not found. Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [umfpack]) or by setting
    the UMFPACK environment variable.
  warnings.warn(self.notfounderror.__doc__)
  NOT AVAILABLE

Warning: Subpackage 'Lib' configuration returned as 'scipy'
non-existing path in 'Lib/maxentropy': 'doc'

[Test]
>>> scipy.show_config()
umfpack_info:
  NOT AVAILABLE

atlas_threads_info:
    libraries = ['lapack', 'lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    language = c
    include_dirs = ['/usr/include/atlas']

fft_opt_info:
    libraries = ['fftw3']
    library_dirs = ['/usr/lib']
    define_macros = [('SCIPY_FFTW3_H', None)]
    include_dirs = ['/usr/include']

atlas_blas_threads_info:
    libraries = ['lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    language = c
    include_dirs = ['/usr/include/atlas']

djbfft_info:
  NOT AVAILABLE

lapack_opt_info:
    libraries = ['lapack', 'lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
    language = c
    include_dirs = ['/usr/include/atlas']

fftw3_info:
    libraries = ['fftw3']
    library_dirs = ['/usr/lib']
    define_macros = [('SCIPY_FFTW3_H', None)]
    include_dirs = ['/usr/include']

blas_opt_info:
    libraries = ['lapack', 'blas']
    library_dirs = ['/usr/lib/atlas']
    define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
    language = c
    include_dirs = ['/usr/include/atlas']

lapack_mkl_info:
  NOT AVAILABLE

blas_mkl_info:
  NOT AVAILABLE

mkl_info:
  NOT AVAILABLE


>>> scipy.test()
  Found 4 tests for scipy.io.array_import
  Found 128 tests for scipy.linalg.fblas
[...]
Calling _superlu.sgssv
Use minimum degree ordering on A'+A.
.......E.......................................................................................................................................................................................................................................................Warning:
invalid value encountered in divide
Warning: invalid value encountered in divide
Warning: invalid value encountered in divide
Warning: invalid value encountered in divide
.....................Warning: invalid value encountered in divide
[...]
..zswap:n=3
...Result may be inaccurate, approximate err = 1.43408433945e-08
...Result may be inaccurate, approximate err = 1.61696391382e-10
......................................................F.......Warning:
divide by zero encountered in log
..Ties preclude use of exact statistic.
..Ties preclude use of exact statistic.
.............F..............
======================================================================
ERROR: Solve: single precision complex
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/scipy/linsolve/umfpack/tests/test_umfpack.py",
line 25, in check_solve_complex_without_umfpack
    x = linsolve.spsolve(a, b)
  File "/usr/lib/python2.4/site-packages/scipy/linsolve/linsolve.py",
line 76, in spsolve
    return gssv(N, lastel, data, index0, index1, b, csc, permc_spec)[0]
TypeError: array cannot be safely cast to required type

======================================================================
ERROR: check loadmat case cellnest
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/scipy/io/tests/test_mio.py",
line 80, in cc
    self._check_case(name, expected)
  File "/usr/lib/python2.4/site-packages/scipy/io/tests/test_mio.py",
line 75, in _check_case
    self._check_level(k_label, expected, matdict[k])
  File "/usr/lib/python2.4/site-packages/scipy/io/tests/test_mio.py",
line 33, in _check_level
    self._check_level(level_label, ev, actual[i])
  File "/usr/lib/python2.4/site-packages/scipy/io/tests/test_mio.py",
line 33, in _check_level
    self._check_level(level_label, ev, actual[i])
  File "/usr/lib/python2.4/site-packages/scipy/io/tests/test_mio.py",
line 33, in _check_level
    self._check_level(level_label, ev, actual[i])
  File "/usr/lib/python2.4/site-packages/scipy/io/tests/test_mio.py",
line 30, in _check_level
    assert len(expected) == len(actual), "Different list lengths at %s" % label
TypeError: len() of unsized object

======================================================================
FAIL: check_rvs (scipy.stats.tests.test_distributions.test_randint)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/scipy/stats/tests/test_distributions.py",
line 84, in check_rvs
    assert isinstance(val, numpy.ScalarType),`type(val)`
AssertionError: <type 'numpy.ndarray'>

======================================================================
FAIL: check_dot (scipy.lib.tests.test_blas.test_fblas1_simple)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/scipy/lib/blas/tests/test_blas.py",
line 76, in check_dot
    assert_almost_equal(f([3j,-4,3-4j],[2,3,1]),-9+2j)
  File "/usr/lib/python2.4/site-packages/numpy/testing/utils.py", line
156, in assert_almost_equal
    assert round(abs(desired - actual),decimal) == 0, msg
AssertionError:
Items are not equal:
 ACTUAL: (3.8672949819489671e-37-1.3059511184692383j)
 DESIRED: (-9+2j)

======================================================================
FAIL: check_dot (scipy.linalg.tests.test_blas.test_fblas1_simple)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/scipy/linalg/tests/test_blas.py",
line 75, in check_dot
    assert_almost_equal(f([3j,-4,3-4j],[2,3,1]),-9+2j)
  File "/usr/lib/python2.4/site-packages/numpy/testing/utils.py", line
156, in assert_almost_equal
    assert round(abs(desired - actual),decimal) == 0, msg
AssertionError:
Items are not equal:
 ACTUAL: (3.8672949819489671e-37-1.3059511184692383j)
 DESIRED: (-9+2j)

----------------------------------------------------------------------
Ran 1569 tests in 42.945s

FAILED (failures=3, errors=2)
<unittest.TextTestRunner object at 0xb75d6f4c>


More information about the SciPy-user mailing list